import { myRequest } from '@/util/api.js'

//获取默认 信息
export function defaultInfo() {
	return myRequest('common/getConfig')
}


//微信登陆
export function login(data){
	return myRequest('staff/wxLogin',data)
}
//钉钉登陆
export function login2(data){
	return myRequest('staff/dingLogin?code=' + data, null, 'get')
}

export function islog() {
	return myRequest('staff/isLogin')
}

// https://crm.qdsd.vip/addons/qingdong/staff/dingLogin
export function dingLogin() {
	return myRequest('staff/dingLogin')
}
//测试
export function islogin() {
	return myRequest('staff/test')
}

//新版 登录
export function netNewLogin(data) {
	return myRequest('staff/login',data)
}

//暂不登录  演示
export function netlogin_text() {
	return myRequest('staff/logintest')
}

//退出登录
export function netOutLogin() {
	return myRequest('staff/logout')
}

//获取地图 key
export function netMapKey() {
	return myRequest('common/getConfig')
}

//发送code  给后台  获取用户信息
export function netSendCode(data) {
	return myRequest('staff/wechatBind',data)
}

//判断是否绑定微信
export function nerIsbindWechat(){
	return myRequest('staff/staffBind')
}

//解绑微信
export function netUnboundWecgat() {
	return myRequest('staff/unboundWechat')
}

//修改密码
export function netEditPassword(data) {
	return myRequest('staff/changepwd',data)
}
